> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-detect-table-modification.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ClickStack: List Webhooks

> **This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> ClickStack: Retrieves a list of all webhooks for the authenticated team

<span data-endpoint-badge="Beta"><Badge color="blue">Beta</Badge></span>

**This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> ClickStack: Retrieves a list of all webhooks for the authenticated team


## OpenAPI

````yaml _specs/cloud-openapi.json GET /v1/organizations/{organizationId}/services/{serviceId}/clickstack/webhooks
openapi: 3.1.2
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-910487
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Role Management
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
  - name: ClickStack
  - name: Postgres
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickstack/webhooks:
    get:
      tags:
        - ClickStack
      summary: 'ClickStack: List Webhooks'
      description: >-
        **This endpoint is in beta.** API contract is stable, and no breaking
        changes are expected in the future. <br /><br /> ClickStack: Retrieves a
        list of all webhooks for the authenticated team
      operationId: clickStackListWebhooks
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization that owns the service.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: serviceId
          description: ID of the ClickStack service.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/ClickStackWebhook'
        '400':
          description: >-
            The request cannot be processed due to a client error. Please verify
            your request parameters and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
        '500':
          description: >-
            An internal server error has occurred. If this issue persists,
            please contact ClickHouse Cloud support for assistance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 500
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
components:
  schemas:
    ClickStackWebhook:
      oneOf:
        - $ref: '#/components/schemas/ClickStackSlackWebhook'
        - $ref: '#/components/schemas/ClickStackIncidentIOWebhook'
        - $ref: '#/components/schemas/ClickStackGenericWebhook'
        - $ref: '#/components/schemas/ClickStackSlackAPIWebhook'
        - $ref: '#/components/schemas/ClickStackPagerDutyAPIWebhook'
    ClickStackSlackWebhook:
      properties:
        id:
          description: Webhook ID
          type: string
          example: 507f1f77bcf86cd799439011
        name:
          description: Webhook name
          type: string
          example: Production Alerts
        service:
          description: Webhook service type
          type: string
          enum:
            - slack
          example: slack
        url:
          description: Slack incoming webhook URL
          type: string
          example: https://hooks.slack.com/services/EXAMPLE/WEBHOOK/URL
        description:
          description: Webhook description, shown in the UI
          type: string
          example: Sends critical alerts to the
        updatedAt:
          description: Last update timestamp
          type: string
          format: date-time
          example: '2025-06-15T10:30:00.000Z'
        createdAt:
          description: Creation timestamp
          type: string
          format: date-time
          example: '2025-01-01T00:00:00.000Z'
      required:
        - id
        - name
        - service
        - updatedAt
        - createdAt
    ClickStackIncidentIOWebhook:
      properties:
        id:
          description: Webhook ID
          type: string
          example: 507f1f77bcf86cd799439012
        name:
          description: Webhook name
          type: string
          example: Incident Response
        service:
          description: Webhook service type
          type: string
          enum:
            - incidentio
          example: incidentio
        url:
          description: incident.io alert event HTTP source URL
          type: string
          example: https://api.incident.io/v2/alert_events/http/abc123
        description:
          description: Webhook description, shown in the UI
          type: string
          example: Routes alerts to incident.io for on-call escalation
        updatedAt:
          description: Last update timestamp
          type: string
          format: date-time
          example: '2025-06-15T10:30:00.000Z'
        createdAt:
          description: Creation timestamp
          type: string
          format: date-time
          example: '2025-01-01T00:00:00.000Z'
      required:
        - id
        - name
        - service
        - updatedAt
        - createdAt
    ClickStackGenericWebhook:
      properties:
        id:
          description: Webhook ID
          type: string
          example: 507f1f77bcf86cd799439013
        name:
          description: Webhook name
          type: string
          example: PagerDuty Integration
        service:
          description: Webhook service type
          type: string
          enum:
            - generic
          example: generic
        url:
          description: Webhook destination URL
          type: string
          example: https://example.com/webhooks/alerts
        description:
          description: Webhook description, shown in the UI
          type: string
          example: Forwards alert payloads to an external monitoring service
        body:
          description: Optional request body template
          type: string
          example: '{"alert": "{{title}}", "severity": "{{level}}"}'
        updatedAt:
          description: Last update timestamp
          type: string
          format: date-time
          example: '2025-06-15T10:30:00.000Z'
        createdAt:
          description: Creation timestamp
          type: string
          format: date-time
          example: '2025-01-01T00:00:00.000Z'
      required:
        - id
        - name
        - service
        - updatedAt
        - createdAt
    ClickStackSlackAPIWebhook:
      properties:
        id:
          description: Webhook ID
          type: string
          example: 65f5e4a3b9e77c001a789012
        name:
          description: Webhook name
          type: string
          example: Slack Alerts
        service:
          description: Webhook service type
          type: string
          enum:
            - slack_api
          example: slack_api
        url:
          description: Slack API endpoint URL
          type: string
          example: https://hooks.slack.com/services/EXAMPLE/WEBHOOK/URL
        description:
          description: Webhook description, shown in the UI
          type: string
          example: 'Sends alerts to #engineering channel'
        updatedAt:
          description: Last update timestamp
          type: string
          format: date-time
          example: '2025-01-15T12:00:00.000Z'
        createdAt:
          description: Creation timestamp
          type: string
          format: date-time
          example: '2025-01-01T00:00:00.000Z'
      required:
        - id
        - name
        - service
        - updatedAt
        - createdAt
    ClickStackPagerDutyAPIWebhook:
      properties:
        id:
          description: Webhook ID
          type: string
          example: 65f5e4a3b9e77c001a789013
        name:
          description: Webhook name
          type: string
          example: PagerDuty Alerts
        service:
          description: Webhook service type
          type: string
          enum:
            - pagerduty_api
          example: pagerduty_api
        url:
          description: PagerDuty Events API endpoint URL
          type: string
          example: https://events.pagerduty.com/v2/enqueue
        description:
          description: Webhook description, shown in the UI
          type: string
          example: Sends critical alerts to PagerDuty
        updatedAt:
          description: Last update timestamp
          type: string
          format: date-time
          example: '2025-01-15T12:00:00.000Z'
        createdAt:
          description: Creation timestamp
          type: string
          format: date-time
          example: '2025-01-01T00:00:00.000Z'
      required:
        - id
        - name
        - service
        - updatedAt
        - createdAt
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````